classification
Title: fix os.sendfile() documentation regarding the type of file descriptor
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, neologix, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2013-03-23 12:14 by neologix, last changed 2013-05-01 13:17 by neologix. This issue is now closed.

Files
File name Uploaded Description Edit
sendfile_doc.diff neologix, 2013-03-24 12:20 review
Messages (3)
msg185040 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2013-03-23 12:14
os.sendfile() documentation states:
"""
On Solaris, out may be the file descriptor of a regular file or the file descriptor of a socket. On all other platforms, out must be the file descriptor of an open socket.
"""

This isn't true for Linux anymore (changed somewhere around 2.6.33), so it would probably be better to rephrase to something like "all platforms support sockets as out file descriptor, and some platforms allow other types (e.g. regular files) as well".
msg185045 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-03-23 13:00
Sounds good to me.
msg188221 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-05-01 13:16
New changeset 4f45f9cde9b4 by Charles-Francois Natali in branch '3.3':
Issue #17529: Fix os.sendfile() documentation regarding the type of file
http://hg.python.org/cpython/rev/4f45f9cde9b4

New changeset 538055b28ba6 by Charles-Francois Natali in branch 'default':
Issue #17529: Fix os.sendfile() documentation regarding the type of file
http://hg.python.org/cpython/rev/538055b28ba6
History
Date User Action Args
2013-05-01 13:17:36neologixsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2013-05-01 13:16:31python-devsetnosy: + python-dev
messages: + msg188221
2013-03-24 12:20:48neologixsetfiles: + sendfile_doc.diff
keywords: + patch
2013-03-23 13:00:34pitrousetnosy: + pitrou
messages: + msg185045
2013-03-23 12:30:42neologixsettitle: fix os.senfile() documentation regarding the type of file descriptor -> fix os.sendfile() documentation regarding the type of file descriptor
2013-03-23 12:14:47neologixcreate